Skip to main content
`Ctrl`+`K`
scipy.sparse.

# isspmatrix_csc

scipy.sparse.isspmatrix_csc(x)

  Is x of csc_matrix type?

  Parameters:
    x

      object to check for being a csc matrix

  Returns:
    bool

      True if x is a csc matrix, False otherwise

  Examples

      >>> from scipy.sparse import csc_array, csc_matrix, coo_matrix, isspmatrix_csc
      >>> isspmatrix_csc(csc_matrix([[5]]))
      True
      >>> isspmatrix_csc(csc_array([[5]]))
      False
      >>> isspmatrix_csc(coo_matrix([[5]]))
      False